SystemOrganization addCategory: #ConfigurationOfXMLTestsConformance!

Object subclass: #ConfigurationOfXMLTestsConformance
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfXMLTestsConformance'!

!ConfigurationOfXMLTestsConformance commentStamp: 'monty 4/4/2015 04:59' prior: 0!
ConfigurationOfXMLTestsConformance load!

!ConfigurationOfXMLTestsConformance class methodsFor: 'development support' stamp: 'monty 4/4/2015 04:56'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'private' stamp: 'monty 4/4/2015 04:56'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'private' stamp: 'monty 4/4/2015 04:56'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'private' stamp: 'monty 4/4/2015 04:56'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'metacello tool support' stamp: 'monty 4/4/2015 04:56'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'loading' stamp: 'monty 4/4/2015 04:56'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'loading' stamp: 'monty 4/4/2015 04:56'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'loading' stamp: 'monty 4/4/2015 04:56'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'accessing' stamp: 'monty 4/4/2015 04:56'!
project

	^self new project! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'development support' stamp: 'monty 4/4/2015 04:56'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfXMLTestsConformance methodsFor: 'baselines' stamp: 'monty 4/4/2015 05:01'!
baseline100: spec
	<version: '1.0.0-baseline'>
	spec
		for: #common
		do: [ 
			spec
				blessing: #baseline;
				description: 'XML-Tests-Conformance baseline';
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLParser/main'.
			spec
				project: 'XMLParser'
				with: [ 
					spec
						className: 'ConfigurationOfXMLParser';
						versionString: #stable;
						loads: #('default');
						repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLParser/main' ].
			spec package: 'XML-Tests-Conformance' with: [ spec requires: 'XMLParser' ].
			spec group: 'default' with: #('XML-Tests-Conformance')].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'accessing' stamp: 'monty 4/4/2015 04:56'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfXMLTestsConformance methodsFor: 'symbolic versions' stamp: 'monty 4/5/2015 01:42'!
development: spec
	<symbolicVersion: #development>
	
	spec for: #'common' version: '1.0.0-baseline'.! !

!ConfigurationOfXMLTestsConformance methodsFor: 'accessing' stamp: 'monty 4/4/2015 04:56'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfXMLTestsConformance methodsFor: 'symbolic versions' stamp: 'monty 4/5/2015 01:41'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0.0'.! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 4/5/2015 01:40'!
version100: spec 
        <version: '1.0.0' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.11'.
                ].! !
